%define upstream_name    Vimana
%define upstream_version 2.26

Name:       vimana
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Download a vim plugin package
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::CLI) >= 0.80.0
BuildRequires: perl(Archive::Extract)
BuildRequires: perl(Archive::Zip)
BuildRequires: perl(DateTime)
BuildRequires: perl(Data::Util)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Exporter::Lite)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Path) >= 2.70.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Type)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTTP::Lite)
BuildRequires: perl(JSON::PP)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Mouse)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Test::More) >= 0.920.0
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(URI) >= 1.370.0
BuildRequires: perl(Web::Scraper)
BuildRequires: perl(YAML)
BuildRequires: perl(parent)
BuildRequires: perl(inc::Module::Install)
BuildRequires: vim-enhanced
BuildArch:  noarch

%description
Vimana is an easy to use system for searching , installing, and downloading
vim script.

Vimana provides a command-line interface such like 'aptitude' programe on
Debian linux, for you to search , download , install , upgrade scripts from
the http://www.vim.org manpage (vimonline site).

Vimana can install a vim script package to your vim runtime path
automatically by inspecting the content of archive file or vim script. For
example , if an archive file contains 'syntax','plugin','indent' directory
, then these files should be installed to _~/.vim/_ directory (default vim
runtime directory). if it's a vim color scheme , then it should be put into
_~/.vim/colors/_, or Vimana will inspect the script type tag in script
file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#__make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jul 19 2020 daviddavid <daviddavid> 2.260.0-11.mga8
+ Revision: 1607200
- rebuild for perl-5.32

* Fri Feb 14 2020 umeabot <umeabot> 2.260.0-10.mga8
+ Revision: 1518433
- Mageia 8 Mass Rebuild

* Tue Oct 02 2018 umeabot <umeabot> 2.260.0-9.mga7
+ Revision: 1315844
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.260.0-7.mga6
+ Revision: 1036653
- Rebuild for perl 5.22.2

* Fri Jan 29 2016 umeabot <umeabot> 2.260.0-6.mga6
+ Revision: 928827
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.260.0-5.mga5
+ Revision: 743965
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.260.0-4.mga5
+ Revision: 690210
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.260.0-3.mga4
+ Revision: 519951
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.260.0-2.mga3
+ Revision: 385418
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 02 2012 jquelin <jquelin> 2.260.0-1.mga3
+ Revision: 266711
- update to 2.26

* Fri Nov 18 2011 jquelin <jquelin> 2.250.0-1.mga2
+ Revision: 168763
- adding missing buildrequires:
- adding missing buildrequires:
- update to 2.25

* Mon Feb 28 2011 jquelin <jquelin> 2.230.0-1.mga1
+ Revision: 61584
- mageia rebuild
- imported package vimana


* Sat Jan 15 2011 cpan2dist 2.23-1mdv
- initial mdv release, generated with cpan2dist
